---
title: Update result deliveries
slug: monitor/update-result-deliveries
docTags: 
createdAt: 2025-04-16T07:34:18.651Z
---

:::ApiMethodV2
```json
{
  "name": "Update result deliveries",
  "method": "PUT",
  "url": "https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries",
  "description": "Update result deliveries",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "PUhi8R-b4R8l_ko18gqNk",
        "language": "curl",
        "code": "curl --location --globoff --request PUT 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries' \\\n--header 'Authorization: string'\n--data '{\"resultDeliveries\":[{\"integrationMethod\": \"EVENT\",\"serverConfig\":{\"webhook\": \"https://client.webhook.com\",\"headers\":[{\"key\": \"key\",\"value\": \"value\"}]}},{\"integrationMethod\": \"SFTP\",\"serverConfig\":{\"host\": \"host.com\",\"port\": \"port\",\"username\": \"user\",\"password\": \"pass\"}},{\"integrationMethod\": \"FILE_SERVER\",\"serverConfig\":{\"serverAddress\": \"https://files.example.com/api\",\"port\": 22,\"headers\":[{\"key\": \"key\",\"value\": \"value\"}]}}]}'",
        "customLabel": ""
      },
      {
        "id": "3NX1AwYPKBNicjrUHy97d",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'PUT',\n   'url': 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries',\n   'headers': {\n      'Authorization': 'string'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "Bww5RnYy-z0kvCcd3jJsS",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "6ySQ9KR5w3iDAQ0ptdUPD",
        "language": "python",
        "code": "import requests\n\nurl = \"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries\"\n\npayload = {}\nheaders = {\n   'Authorization': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "cBVPbgXtLwlq9med7axjL",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/result-deliveries\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"Authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PUhi8R-b4R8l_ko18gqNk"
  },
  "results": {
    "languages": [
      {
        "id": "ya3t6aOC3NMAIy40yP3vQ",
        "language": "200",
        "customLabel": "",
        "code": "{\n\t\"message\": \"ok\"\n}"
      },
      {
        "id": "MtqRYNtMXOSjMXRjHEePB",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "ya3t6aOC3NMAIy40yP3vQ"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the monitor",
        "": "required"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "resultDeliveries",
        "kind": "required",
        "type": "object",
        "description": "Configure the method for receiving data.",
        "": "Configure the method for receiving data.",
        "children": [
          {
            "name": "event",
            "kind": "optional",
            "type": "object",
            "description": "Requires partner to provide webhook for event reception.",
            "children": [
              {
                "name": "webhook",
                "kind": "optional",
                "type": "string",
                "description": "http address."
              },
              {
                "name": "headers",
                "kind": "optional",
                "type": "array",
                "description": "http request header."
              }
            ]
          },
          {
            "name": "sftp",
            "kind": "optional",
            "type": "string",
            "description": "Require partner to provide the FTP address for receiving data, format: sftp://username:password@hostname:port",
            "children": [
              {
                "name": "hostname",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "port",
                "kind": "optional",
                "type": "number",
                "description": ""
              },
              {
                "name": "username",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "password",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "event",
            "kind": "optional",
            "type": "object",
            "description": "Requires partner to provide webhook for event reception.",
            "children": [
              {
                "name": "webhook",
                "kind": "optional",
                "type": "string",
                "description": "http address."
              },
              {
                "name": "headers",
                "kind": "optional",
                "type": "array",
                "description": "http request header."
              }
            ]
          },
          {
            "name": "sftp",
            "kind": "optional",
            "type": "string",
            "description": "Require partner to provide the FTP address for receiving data, format: sftp://username:password@hostname:port",
            "children": [
              {
                "name": "hostname",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "port",
                "kind": "optional",
                "type": "number",
                "description": ""
              },
              {
                "name": "username",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "password",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false
}
```
:::

:::ExpandableHeading
# Body example

```json
{
    "resultDeliveries":
    {
        "event":
        {
            "webhook": "https://client.webhook.com",
            "headers":
            [
                {
                    "key": "key",
                    "value": "value"
                }
            ]
        }
    }
}
```
:::

